Summary:  Tools for certain user account management tasks
Name:     usermode
Version:  1.114
Release:  6%{?dist}
License:  GPLv2+
URL:      https://pagure.io/usermode
Source:   https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
Source1:  config-util
BuildRequires: make, gcc
BuildRequires: gettext, glib2-devel, intltool, util-linux
BuildRequires: desktop-file-utils, gtk2-devel, startup-notification-devel, libSM-devel
BuildRequires: libblkid-devel, libselinux-devel, libuser-devel
BuildRequires: pam-devel, perl-XML-Parser
Requires: pam, passwd, util-linux

%package gtk
Summary: Graphical tools for certain user account management tasks
Requires: %{name} = %{version}-%{release}

%global _hardened_build 1

%description
The usermode package contains the userhelper program, which can be used to
allow configured programs to be run with superuser privileges by ordinary
users.


%description gtk
The usermode-gtk package contains several graphical tools for users:
userinfo, usermount and userpasswd.  Userinfo allows users to change
their finger information.  Usermount lets users mount, unmount, and
format file systems.  Userpasswd allows users to change their
passwords.

Install the usermode-gtk package if you would like to provide users with
graphical tools for certain account management tasks.

%prep
%autosetup

%build
sed -i "s/redhat/opencloudos/" Makefile.*
%configure --with-selinux --without-fexecve

%make_build

%install
%make_install

ln -sf usermount $RPM_BUILD_ROOT%{_bindir}/userformat
ln -s usermount.1 $RPM_BUILD_ROOT%{_mandir}/man1/userformat.1

install -D -p -m 644 %{SOURCE1} \
	%{buildroot}/etc/security/console.apps/config-util

for i in opencloudos-userinfo.desktop opencloudos-userpasswd.desktop \
	opencloudos-usermount.desktop; do
	echo 'NotShowIn=GNOME;KDE;' >>$RPM_BUILD_ROOT%{_datadir}/applications/$i
	desktop-file-install --vendor opencloudos --delete-original \
		--dir $RPM_BUILD_ROOT%{_datadir}/applications \
		$RPM_BUILD_ROOT%{_datadir}/applications/$i
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog NEWS README
%config(noreplace) /etc/security/console.apps/config-util
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/consolehelper
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*


%files gtk
%{_bindir}/usermount
%{_mandir}/man1/usermount.1*
%{_bindir}/userformat
%{_mandir}/man1/userformat.1*
%{_bindir}/userinfo
%{_mandir}/man1/userinfo.1*
%{_bindir}/userpasswd
%{_mandir}/man1/userpasswd.1*
%{_bindir}/consolehelper-gtk
%{_mandir}/man8/consolehelper-gtk.8*
%{_bindir}/pam-panel-icon
%{_mandir}/man1/pam-panel-icon.1*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Wed Sep 25 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-6
- [Type] other
- [DESC] Add usermode-gtk for beesu

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.114-1
- Initial building.
